package org.jeecg.modules.ctop.controller;

import cn.com.ctop.kuaishou.modules.graphql.service.IKuaishouWebInterfaceService;
import com.alibaba.fastjson.JSONObject;
import org.jeecg.common.api.vo.Result;
import org.jeecg.modules.ctop.service.ICreateInternalService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Map;
import java.util.UUID;

/**
 * @author jeecg-boot
 */
@RestController
@RequestMapping("/test")
public class TestController {
    @Autowired
    private ICreateInternalService createInternalService;
    @Autowired
    private IKuaishouWebInterfaceService kuaishouWebInterfaceService;

    @PostMapping(value = "/create")
    public Map<String, Object> authorization(@RequestBody JSONObject jsonObject) {
        return createInternalService.createInternal(jsonObject);
    }

    @GetMapping(value = "/t")
    public String test() {
        Result<String> result = new Result<String>();
        try {
            String requestId = UUID.randomUUID().toString();
            String img = kuaishouWebInterfaceService.qrLogin(requestId);
            if (img != null) {
                result.setSuccess(true);
                result.setResult(img);
            } else {
                result.setSuccess(false);
            }
        } catch (Exception e) {
            e.printStackTrace();
            result.setSuccess(false);
        }
        return "success";
    }


}
