package cn.com.ctop.crawler.modules.appium.entity;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;

/**
 * 手机设备表
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2019-10-30
 */
@Data
@TableName("ctop_appium_device")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "ctop_appium_device对象", description = "手机设备表")
public class AppiumDevice {

    /**
     * id
     */
    @TableId(type = IdType.INPUT)
    @ApiModelProperty(value = "id")
    private Integer id;
    /**
     * ip
     */
    @Excel(name = "ip", width = 15)
    @ApiModelProperty(value = "ip")
    private String ip;
    /**
     * port
     */
    @Excel(name = "port", width = 15)
    @ApiModelProperty(value = "port")
    private String port;
    /**
     * status
     */
    @Excel(name = "status", width = 15)
    @ApiModelProperty(value = "status")
    private Integer status;
    /**
     * createTime
     */
    @ApiModelProperty(value = "createTime")
    private Date createTime;
    /**
     * updateTime
     */
    @ApiModelProperty(value = "updateTime")
    private Date updateTime;
}
