package cn.com.ctop.crawler.modules.appium.entity;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;

/**
 * 手机任务表
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2019-10-30
 */
@Data
@TableName("ctop_appium_task")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "ctop_appium_task对象", description = "手机任务表")
public class AppiumTask {

    /**
     * id
     */
    @TableId(type = IdType.INPUT)
    @ApiModelProperty(value = "id")
    private Integer id;
    /**
     * taskName
     */
    @Excel(name = "taskName", width = 15)
    @ApiModelProperty(value = "taskName")
    private String taskName;
    /**
     * appPackage
     */
    @Excel(name = "appPackage", width = 15)
    @ApiModelProperty(value = "appPackage")
    private String appPackage;
    /**
     * appActivity
     */
    @Excel(name = "appActivity", width = 15)
    @ApiModelProperty(value = "appActivity")
    private String appActivity;
    /**
     * createTime
     */
    @ApiModelProperty(value = "createTime")
    private Date createTime;
    /**
     * updateTime
     */
    @ApiModelProperty(value = "updateTime")
    private Date updateTime;
}
