package cn.com.ctop.crawler.modules.appium.entity;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;

/**
 * 手机任务步骤表
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2019-10-30
 */
@Data
@TableName("ctop_appium_task_item")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "ctop_appium_task_item对象", description = "手机任务步骤表")
public class AppiumTaskItem {

    /**
     * id
     */
    @TableId(type = IdType.INPUT)
    @ApiModelProperty(value = "id")
    private Integer id;
    /**
     * taskId
     */
    @Excel(name = "taskId", width = 15)
    @ApiModelProperty(value = "taskId")
    private Integer taskId;
    /**
     * parentId
     */
    @Excel(name = "parentId", width = 15)
    @ApiModelProperty(value = "parentId")
    private Integer parentId;
    /**
     * seq
     */
    @Excel(name = "seq", width = 15)
    @ApiModelProperty(value = "seq")
    private Integer seq;
    /**
     * findType
     */
    @Excel(name = "findType", width = 15)
    @ApiModelProperty(value = "findType")
    private String findType;
    /**
     * findKey
     */
    @Excel(name = "findKey", width = 15)
    @ApiModelProperty(value = "findKey")
    private String findKey;
    /**
     * clickType
     */
    @Excel(name = "clickType", width = 15)
    @ApiModelProperty(value = "clickType")
    private String clickType;
    /**
     * offsiteX
     */
    @Excel(name = "offsiteX", width = 15)
    @ApiModelProperty(value = "offsiteX")
    private Integer offsiteX;
    /**
     * offsiteY
     */
    @Excel(name = "offsiteY", width = 15)
    @ApiModelProperty(value = "offsiteY")
    private Integer offsiteY;
    /**
     * loopRate
     */
    @Excel(name = "loopRate", width = 15)
    @ApiModelProperty(value = "loopRate")
    private Integer loopRate;
    /**
     * isMust
     */
    @Excel(name = "isMust", width = 15)
    @ApiModelProperty(value = "isMust")
    private Boolean isMust;
    /**
     * textEqualType
     */
    @Excel(name = "textEqualType", width = 15)
    @ApiModelProperty(value = "textEqualType")
    private String textEqualType;
    /**
     * textEqualKey
     */
    @Excel(name = "textEqualKey", width = 15)
    @ApiModelProperty(value = "textEqualKey")
    private String textEqualKey;
    /**
     * swapType
     */
    @Excel(name = "swapType", width = 15)
    @ApiModelProperty(value = "swapType")
    private String swapType;
    /**
     * waitTime
     */
    @Excel(name = "waitTime", width = 15)
    @ApiModelProperty(value = "waitTime")
    private Integer waitTime;
    /**
     * isClose
     */
    @Excel(name = "isClose", width = 15)
    @ApiModelProperty(value = "isClose")
    private Boolean isClose;
    /**
     * createTime
     */
    @ApiModelProperty(value = "createTime")
    private Date createTime;
    /**
     * updateTime
     */
    @ApiModelProperty(value = "updateTime")
    private Date updateTime;
}
